###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2012 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gfs2-utils
Version: 3.1.4
Release: %mkrel 6
License: GPLv2+ and LGPLv2+
Group: System/Kernel and hardware
Summary: Utilities for managing the global file system (GFS2)
Requires(post): chkconfig
Requires(preun): initscripts
Requires(preun): chkconfig
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires: ncurses
Requires: file
BuildRequires: ncurses-devel
BuildRequires: kernel-userspace-headers
BuildRequires: automake
BuildRequires: perl
BuildRequires: libtool
BuildRequires: zlib-devel
BuildRequires: gettext-devel
URL: https://fedorahosted.org/cluster/wiki/HomePage

Source0: https://fedorahosted.org/released/gfs2-utils/gfs2-utils-%{version}.tar.gz
Patch0: rawhide_transition.patch

%prep
%setup -q -n gfs2-utils
%patch0 -p1 -b .rawhide_transition

%build
./autogen.sh
%configure
%make

%install
rm -rf %{buildroot}
# gfs and group installed separately to avoid pulling in the docs
make -C gfs2 install DESTDIR=%{buildroot}
make -C group install DESTDIR=%{buildroot}
# Remove gfs2_quota and its man page (temporary)
rm -f %{buildroot}%{_mandir}/man8/gfs2_quota.8
rm -f %{buildroot}/usr/sbin/gfs2_quota
# End of temporary section (until gfs2_quota removed from source)
# Remove gfs2_tool and its man page (temporary)
rm -f %{buildroot}%{_mandir}/man8/gfs2_tool.8
rm -f %{buildroot}/usr/sbin/gfs2_tool
# End of temporary section (until gfs2_tool removed from source)
# Remove mount.gfs2 and its man page (temporary)
rm -f %{buildroot}%{_mandir}/man8/mount.gfs2.8
rm -f %{buildroot}/sbin/mount.gfs2
# End of temporary section (until mount.gfs2 removed from source)
# Remove gfs_control and the gfs_controld man page (temporary)
rm -f %{buildroot}%{_mandir}/man8/gfs_controld.8
rm -f %{buildroot}/usr/sbin/gfs_control

mkdir -p %{buildroot}%{_unitdir}
install -m644 gfs2/system/gfs2-cluster.service %{buildroot}%{_unitdir}

%clean
rm -rf %{buildroot}


%description -n gfs2-utils
The gfs2-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS2
file systems.

%files -n gfs2-utils
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence doc/*.txt
/sbin/*
%{_sbindir}/gfs2_*
%{_sbindir}/tunegfs2
%{_mandir}/man8/*gfs2*
%{_mandir}/man5/*
%{_unitdir}/gfs2-cluster.service


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.1.4-6.mga3
+ Revision: 351511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 3.1.4-5.mga2
+ Revision: 233703
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 20 2012 boklm <boklm> 3.1.4-4.mga2
+ Revision: 232059
- install systemd service file
- update group
- clean spec
- use tarball downloaded from fedorahosted.org
- update buildrequires
- use mkrel
- import spec from fedora
- Created package structure for gfs2-utils.

